﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// グローバル変数や関数を管理するためのクラスです。
    /// </summary>
    class GV
    {
        /// <summary>
        /// キャラクタ画像 9枚分。X2(変身用)。
        /// </summary>
        public static int[,] img_ch = new int[2, 12];

        /// <summary>
        /// キャラクターデータ。
        /// </summary>
        public static Ch ch = new Ch();

        /// <summary>
        /// メインメソッド状態。
        /// </summary>
        public static int func_state;
        
        /// <summary>
        /// ボード画像。
        /// </summary>
        public static int[] img_board = new int[40];

        /// <summary>
        /// コンフィグ。
        /// </summary>
        public static ConfigPad configpad = new ConfigPad();

        /// <summary>
        /// プライベートなコンストラクタ。
        /// </summary>
        private GV()
        {
            ;  //何もしない
        }

        /// <summary>
        /// 最初の初期化処理。
        /// </summary>
        public static void first_ini()
        {
            ch.first_ini(); // 自キャラクタの初期化。
            configpad.first_ini(); // コンフィグの初期化。
        }
    }
}
