﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// 敵を表すクラスです。
    /// </summary>
    class Enemy
    {
        /// <summary>
        /// フラグ。
        /// </summary>
        public int flag;

        /// <summary>
        /// カウンタ。
        /// </summary>
        public int cnt;

        /// <summary>
        /// 移動パターン。
        /// </summary>
        public int pattern;

        /// <summary>
        /// 向き。
        /// </summary>
        public int muki;

        /// <summary>
        /// 敵の種類。
        /// </summary>
        public int knd;

        /// <summary>
        /// HP。
        /// </summary>
        public int hp;

        /// <summary>
        /// HP最大値。
        /// </summary>
        public int hp_max;

        /// <summary>
        /// 落とすアイテム。
        /// </summary>
        public int[] item_n = new int[6];

        /// <summary>
        /// 画像。
        /// </summary>
        public int img;

        /// <summary>
        /// X座標。
        /// </summary>
        public double x;

        /// <summary>
        /// Y座標。
        /// </summary>
        public double y;

        /// <summary>
        /// 速度 x成分。
        /// </summary>
        public double vx;

        /// <summary>
        /// 速度 y成分。
        /// </summary>
        public double vy;

        /// <summary>
        /// スピード。
        /// </summary>
        public double sp;

        /// <summary>
        /// 角度。
        /// </summary>
        public double ang;

        /// <summary>
        /// 弾幕開始時間。
        /// </summary>
        public int bltime;

        /// <summary>
        /// 弾幕の種類。
        /// </summary>
        public int blknd;

        /// <summary>
        /// 弾の種類。
        /// </summary>
        public int blknd2;

        /// <summary>
        /// 色。
        /// </summary>
        public int col;

        /// <summary>
        /// 状態。
        /// </summary>
        public int state;

        /// <summary>
        /// 待機時間。
        /// </summary>
        public int wtime;

        /// <summary>
        /// 停滞時間。
        /// </summary>
        public int wait;

        /// <summary>
        /// 敵の移動パターン 0での移動制御をします。
        /// </summary>
        public void enemy_pattern0()
        {
            if (this.cnt < 60)
                this.y += 2.0;
            if (this.cnt > 60 + 240)
                this.y -= 2.0;
        }
    }
}
