﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using DxLibDLL;

namespace Ryujin
{
    /// <summary>
    /// 画像群を管理するクラスです。
    /// </summary>
    class ImageManager
    {
        /// <summary>
        /// マネジャー。
        /// </summary>
        private static ImageManager manager = new ImageManager();

        /// <summary>
        /// ボード画像。
        /// </summary>
        public int[] img_board = new int[40];

        /// <summary>
        /// キャラクタ画像 9枚分。X2(変身用)。
        /// </summary>
        public int[,] img_ch = new int[2, 12];

        /// <summary>
        /// 敵画像 9枚分。X3体分。
        /// </summary>
        public int[,] img_enemy = new int[3, 9];

        /// <summary>
        /// プライベートなコンストラクタ。
        /// </summary>
        private ImageManager()
        {
            ; // 何もしない
        }
        
        /// <summary>
        /// マネジャーを返します。
        /// </summary>
        /// <returns>マネジャー</returns>
        public static ImageManager GetInstance()
        {
            return manager;
        }

        /// <summary>
        /// 画像を読み込みます。
        /// </summary>
        public void load()
        {
            this.img_board[10] = DX.LoadGraph("../../dat/img/board/10.png");
            this.img_board[11] = DX.LoadGraph("../../dat/img/board/11.png");
            this.img_board[12] = DX.LoadGraph("../../dat/img/board/12.png");
            this.img_board[20] = DX.LoadGraph("../../dat/img/board/20.png");
            DX.LoadDivGraph("../../dat/img/char/0.png", 12, 4, 3, 73, 73, out this.img_ch[0, 0]);
            DX.LoadDivGraph("../../dat/img/enemy/0.png", 9, 3, 3, 32, 32, out this.img_enemy[0, 0]);
        }
    }
}
