﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// 独自の関数ライブラリです。
    /// </summary>
    class MyMath
    {
        /// <summary>
        /// ランダム。
        /// </summary>
        private static Random random = new Random();

        /// <summary>
        /// プライベートなコンストラクタ。
        /// </summary>
        private MyMath()
        {
            ; // 何もしない
        }

        /// <summary>
        /// 渡された -ang～angまでのランダムな角度を返します。
        /// </summary>
        /// <param name="ang">角度</param>
        /// <returns> -ang～angまでのランダムな角度</returns>
        public static double rang(double ang)
        {
            return -ang + ang * 2 * random.Next(0, 10000) / 10000.0;
        }

    }
}
