﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// 設定を格納するクラスです。
    /// </summary>
    class Setting
    {
        /// <summary>
        /// ベースディレクトリ。
        /// </summary>
        public const string BASE_DIR = "../../dat/";

        /// <summary>
        /// フィールド X座標最大値。
        /// </summary>
        public const int FIELD_MAX_X = 384;

        /// <summary>
        /// フィールド Y座標最大値。
        /// </summary>
        public const int FIELD_MAX_Y = 448;

        /// <summary>
        /// フィールド X座標最小値。
        /// </summary>
        public const int FIELD_X = 32;

        /// <summary>
        /// フィールド Y座標最小値。
        /// </summary>
        public const int FIELD_Y = 16;
        
        /// <summary>
        /// パッドキーの最大数。
        /// </summary>
        public const int PAD_MAX = 16;

        /// <summary>
        /// 敵の同時表示最大数。
        /// </summary>
        public const int ENEMY_MAX = 30;

        /// <summary>
        /// 敵の出現情報の最大数。
        /// </summary>
        public const int ENEMY_ORDER_MAX = 500;

        /// <summary>
        /// 弾幕が持つ弾の最大数。
        /// </summary>
        public const int SHOT_BULLET_MAX = 1000;

        /// <summary>
        /// 一度に画面に表示できる敵の弾幕の最大数。
        /// </summary>
        public const int SHOT_MAX = 30;

        /// <summary>
        /// 効果音の種類の最大数。
        /// </summary>
        public const int SE_MAX = 100;

        /// <summary>
        /// プライベートなコンストラクタ。
        /// </summary>
        private Setting()
        {
            ; // 何もしない
        }
    }
}
