﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// 消滅エフェクトを表すクラスです。
    /// </summary>
    class DelEffect
    {
        /// <summary>
        /// フラグ。
        /// </summary>
        public int flag;

        /// <summary>
        /// カウンタ。
        /// </summary>
        public int cnt;

        /// <summary>
        /// 色。
        /// </summary>
        public int col;

        /// <summary>
        /// X座標。
        /// </summary>
        public double x;

        /// <summary>
        /// Y座標。
        /// </summary>
        public double y;
        
        /// <summary>
        /// 初期化します。
        /// </summary>
        public void initialize()
        {
            this.flag = 0;
            this.cnt = 0;
            this.col = 0;
            this.x = 0.0;
            this.y = 0.0;
        }
        
        /// <summary>
        /// 消滅エフェクトを計算します。エフェクトを登録します。
        /// </summary>
        public void calc_del_effect()
        {
            if (this.cnt % 2 == 0) // 1/30秒ずつセット
            {
                Effect effect = GV.effects.search_effect(); // 空きを検索
                if (effect != null)
                {
                    ImageManager imageManager = ImageManager.GetInstance();

                    effect.initialize(); // 初期化
                    effect.flag = 1; // フラグを立てる
                    effect.brt = 255; // 輝度を最大値に
                    effect.angle = MyMath.rang(Math.PI); // 角度をランダムに
                    effect.col = this.col; // 色をセット
                    effect.eff = 1; // 1は光エフェクト。光エフェクトにセットする
                    effect.img = imageManager.img_del_effect[effect.col]; // 消滅する画像をセット
                    effect.knd = 0; // エフェクトの種類は 0番(消滅エフェクトは 0とする)
                    effect.x = this.x; // X座標をセット
                    effect.y = this.y; // Y座標をセット
                }

                if (this.cnt > 8) // カウンタが 8より大きくなったら
                    this.flag = 0;
            }
            this.cnt++;
        }
    }
}
