﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ryujin
{
    /// <summary>
    /// 弾の当たり判定情報群を管理するクラスです。
    /// </summary>
    class BulletInfoGroup
    {
        /// <summary>
        /// 弾の当たり判定情報群。
        /// </summary>
        private BulletInfo[] bullet_infos;

        /// <summary>
        /// コンストラクタ。
        /// </summary>
        public BulletInfoGroup()
        {
            this.bullet_infos = new BulletInfo[]{
                new BulletInfo(76, 76, 5, 17.0),
                new BulletInfo(22, 22, 6, 4.0),
                new BulletInfo(5, 120, 10, 2.5),
                new BulletInfo(19, 34, 5, 2.0),
                new BulletInfo(38, 38, 10, 2.0),
                new BulletInfo(14, 16, 3, 3.5),
                new BulletInfo(14, 18, 3, 2.0),
                new BulletInfo(16, 16, 9, 2.5),
                new BulletInfo(12, 18, 10, 1.5),
                new BulletInfo(13, 19, 3, 2.0),
            };
        }

        /// <summary>
        /// 弾の当たり判定情報にアクセスするインデクサ。
        /// </summary>
        /// <param name="index">番号</param>
        /// <returns>弾の当たり判定情報</returns>
        public BulletInfo this[int index]
        {
            get
            {
                return this.bullet_infos[index];
            }
        }

        /// <summary>
        /// 弾の当たり判定情報の数を返します。
        /// </summary>
        /// <returns>弾の当たり判定情報の数</returns>
        public int length()
        {
            return this.bullet_infos.Length;
        }
    }
}
